> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reward metrics of the Ethereum network.

> This endpoint returns a network-wide overview of Ethereum reward metrics.



## OpenAPI

````yaml get /v1/eth/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/rewards:
    get:
      tags:
        - Network
      summary: Get reward metrics of the Ethereum network.
      description: >-
        This endpoint returns a network-wide overview of Ethereum reward
        metrics.
      operationId: get_network_rewards_v1_eth_rewards_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: window
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TimeWindow'
              - type: 'null'
            description: The time window of aggregation
            title: Window
          description: The time window of aggregation
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__19
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__19:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              timeWindow:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Timewindow
              consensusLayerRewardsPercentage:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Consensuslayerrewardspercentage
              priorityFeesPercentage:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Priorityfeespercentage
              baselineMevPercentage:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Baselinemevpercentage
              avgConsensusAprPercentage:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Avgconsensusaprpercentage
              avgExecutionAprPercentage:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Avgexecutionaprpercentage
              medianConsensusAprPercentage:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Medianconsensusaprpercentage
              medianExecutionAprPercentage:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Medianexecutionaprpercentage
              consensusRewardsRatio:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Consensusrewardsratio
              executionRewardsRatio:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Executionrewardsratio
              avgNetworkAprPercentage:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Avgnetworkaprpercentage
              medianNetworkAprPercentage:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Mediannetworkaprpercentage
              avgConsensusAprGwei:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Avgconsensusaprgwei
              avgExecutionAprGwei:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Avgexecutionaprgwei
              medianConsensusAprGwei:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Medianconsensusaprgwei
              medianExecutionAprGwei:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Medianexecutionaprgwei
              avgNetworkAprGwei:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Avgnetworkaprgwei
              medianNetworkAprGwei:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Mediannetworkaprgwei
              giniCoefficient:
                type: number
                minimum: 0
                title: Ginicoefficient
            type: object
            required:
              - timeWindow
              - consensusLayerRewardsPercentage
              - priorityFeesPercentage
              - baselineMevPercentage
              - avgConsensusAprPercentage
              - avgExecutionAprPercentage
              - medianConsensusAprPercentage
              - medianExecutionAprPercentage
              - consensusRewardsRatio
              - executionRewardsRatio
              - avgNetworkAprPercentage
              - medianNetworkAprPercentage
              - avgConsensusAprGwei
              - avgExecutionAprGwei
              - medianConsensusAprGwei
              - medianExecutionAprGwei
              - avgNetworkAprGwei
              - medianNetworkAprGwei
              - giniCoefficient
            title: NetworkRewards
            examples:
              - avgConsensusAprGwei: 37361
                avgConsensusAprPercentage: 0.07855633469653803
                avgExecutionAprGwei: 37361
                avgExecutionAprPercentage: 0.07855633469653803
                avgNetworkAprGwei: 37361
                avgNetworkAprPercentage: 0.07855633469653803
                baselineMevPercentage: 0.07855633469653803
                consensusLayerRewardsPercentage: 0.07855633469653803
                consensusRewardsRatio: 0.07855633469653803
                executionRewardsRatio: 0.07855633469653803
                giniCoefficient: 0.07855633469653803
                medianConsensusAprGwei: 37361
                medianConsensusAprPercentage: 0.07855633469653803
                medianExecutionAprGwei: 37361
                medianExecutionAprPercentage: 0.07855633469653803
                medianNetworkAprGwei: 37361
                medianNetworkAprPercentage: 0.07855633469653803
                priorityFeesPercentage: 0.07855633469653803
                timeWindow: 1d
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1NetworkRewards
      examples:
        - next: https://api.rated.network//v1/eth/rewards?limit=10&offset=30
          pages: 10
          previous: https://api.rated.network//v1/eth/rewards?limit=10&offset=10
          results:
            - - avgConsensusAprGwei: 37361
                avgConsensusAprPercentage: 0.07855633469653803
                avgExecutionAprGwei: 37361
                avgExecutionAprPercentage: 0.07855633469653803
                avgNetworkAprGwei: 37361
                avgNetworkAprPercentage: 0.07855633469653803
                baselineMevPercentage: 0.07855633469653803
                consensusLayerRewardsPercentage: 0.07855633469653803
                consensusRewardsRatio: 0.07855633469653803
                executionRewardsRatio: 0.07855633469653803
                giniCoefficient: 0.07855633469653803
                medianConsensusAprGwei: 37361
                medianConsensusAprPercentage: 0.07855633469653803
                medianExecutionAprGwei: 37361
                medianExecutionAprPercentage: 0.07855633469653803
                medianNetworkAprGwei: 37361
                medianNetworkAprPercentage: 0.07855633469653803
                priorityFeesPercentage: 0.07855633469653803
                timeWindow: 1d
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````